% -- PAM_DS_mod.m
function [PAM_DS_seq, DS_seq] = PAM_DS_mod(a, smp_freq, Ts, c)
% PAM Direct-Sequence Modulator

% Repeated code
cc = reshape( c.' * ones(1, ceil(length(a)/length(c)) ), 1, [] );
cc = cc(1:length(a));

% DS sequence
d = a.*cc;

% Comb idx
smp_time = 1/smp_freq;

nSmpFrame = ceil(Ts / smp_time );
%nSmp = length(a) * nSmpFrame;

pos = (1:length(a))*nSmpFrame-floor(nSmpFrame/2);

% PAM-DS and DS-only comb
PAM_DS_seq=zeros(1,length(a)*nSmpFrame);
DS_seq=zeros(1,length(a)*nSmpFrame);
PAM_DS_seq(pos) = d .* ones(1,length(pos));
DS_seq(pos) = cc .* ones(1,length(pos));
end